"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Evaluates a string or boolean value to a boolean.
 * Particularly useful for parsing config options.
 */
function evaluateBoolean(value, defaultValue) {
    if (value === undefined) {
        return defaultValue;
    }
    if (typeof value === 'boolean') {
        return value;
    }
    if (value === 'true') {
        return true;
    }
    if (value === 'false') {
        return false;
    }
    throw new Error(`serverless-better-credentials: Unrecognized boolean: "${value}". Please use "true" or "false".`);
}
exports.default = evaluateBoolean;
//# sourceMappingURL=evaluateBoolean.js.map